#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

export iraf := /usr/lib/iraf/
export noao := /usr/lib/iraf/noao/
export rvsao := $(CURDIR)/

override_dh_auto_configure:
	rm -rf bin bin.generic
	mkdir bin

override_dh_auto_build:
	mkpkg -p rvsao

override_dh_auto_install:
	mkpkg -p rvsao install
	for f in $(shell find . -name \*.hlp \
            -o -name \*.hd \
            -o -name \*.men \
            -o -name \*.cl \
            -o -name \*.par \
            -o -name \*.def \
            -o -name \*.dat \
            -o -name \*.mip \
            -o -name \*.msg \
            -o -name \*.fits | \
	    cut -c3-) ; do \
	  install -p -D -m 644 $$f debian/iraf-rvsao/usr/lib/iraf/extern/rvsao/$$f ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS
